import java.util.ArrayList;
import java.util.HashSet;

/**
 * Row Class: the representation of a row in the puzzle
 */
public class Row{
  private ArrayList<HashSet<Integer>> elems;
  
  public ArrayList<HashSet<Integer>> elems() {
    return elems;
  }
    
  /**
   * Constructor: Creates a row of the puzzle with no constraints
   */
  public Row() {
    elems = new  ArrayList<HashSet<Integer>>();
    for(int col = 0; col < PartialSolution.SIZE; col++) {
      HashSet<Integer> square = new HashSet<Integer>();
      for(int number=1; number<PartialSolution.SIZE+1; number++) 
        square.add(number);
      elems.add(square);
    }
  }
  
    
  /**
   * Creates a Sring representation of a row of the puzzle
   */
  public String toString() {
    String s="";
    for(HashSet<Integer> square : elems) {
      for(Integer number : square) {
        s += " " + number;
      }
      s+="|";
    }
    return s;
  }
}
